<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:fn="http://java.sun.com/jsp/jstl/functions"
	xmlns:f="http://java.sun.com/jsf/core">

<h:head>
	<title>Novo Plano de Contas</title>
	<style type="text/css">
.ui-widget {
	font-size: 90%;
}
</style>
<h:outputStylesheet library="css" name="sistema.css" />
<h:outputStylesheet library="bootstrap" name="css/bootstrap.min.css" />
</h:head>

<h:body>

	<h:form id="frmPlano">
		<p:panelGrid columns="1" id="panel-plano" styleClass="semBorda">
		<p:messages id="messages" autoUpdate="true" closable="true" />
			<p:inputText placeholder="Nivel" value="#{planoContasController.planoContas.codigo}"/>
			<p:inputText placeholder="Texto" value="#{planoContasController.planoContas.descricao}"/>
			<p:selectBooleanCheckbox itemLabel="Titulo ?" value="#{planoContasController.planoContas.titulo}"/>
			<p:selectOneMenu value="#{planoContasController.planoContas.receitaDespesa}" 
						maxlength="10" autoWidth="true" style="width:150px;">
				<f:selectItems value="#{planoContasController.tipoPlanoContas}"
					var="tipos" itemLabel="#{tipos.descricao}" itemValue="#{tipos}" />
			</p:selectOneMenu>
			<p:commandButton title="Clicar" actionListener="#{planoContasController.mostrarDescricaoPlano}" update=":frmPlano:messages"/>
		</p:panelGrid>
	</h:form>
</h:body>

</html>